'use strict'
/*
 * Color Codes explained: http://www.termsys.demon.co.uk/vtansi.htm#colors

 * Following caveats:
 * bright    - brightens the color (bold-blue is same as brightBlue)
 * dim       - nothing on Mac or Linux
 * italic    - nothing on Mac or Linux
 * underline - underlines string
 * blink     - nothing on Mac or linux
 * inverse   - background becomes foreground and vice versa
 *
 * In summary, the only styles that work are:
 *  - bright, underline and inverse
 *  - the others are only included for completeness
 */
Object.defineProperty(exports, '__esModule', { value: true })
exports.bgBrightWhite = exports.bgBrightCyan = exports.bgBrightMagenta = exports.bgBrightBlue = exports.bgBrightYellow = exports.bgBrightGreen = exports.bgBrightRed = exports.bgBrightBlack = exports.bgWhite = exports.bgCyan = exports.bgMagenta = exports.bgBlue = exports.bgYellow = exports.bgGreen = exports.bgRed = exports.bgBlack = exports.brightWhite = exports.brightCyan = exports.brightMagenta = exports.brightBlue = exports.brightYellow = exports.brightGreen = exports.brightRed = exports.brightBlack = exports.yellow = exports.red = exports.magenta = exports.green = exports.cyan = exports.blue = exports.black = exports.white = exports.inverse = exports.blink = exports.underline = exports.italic = exports.dim = exports.bright = exports.reset = exports.backgroundColor = exports.color = exports.style = void 0
/** A factory method to generate an ANSI style applier from the open and close codes */
function style(open, close) {
	return (str) => '\u001b[' + open + 'm' + str + '\u001b[' + close + 'm'
}
exports.style = style
/** A factory method to generate an ANSI color applier from the color code */
function color(open) {
	return style(open, 39)
}
exports.color = color
/** A factory method to generate an ANSI background color applier from the background color code */
function backgroundColor(open) {
	return style(open, 49)
}
exports.backgroundColor = backgroundColor
/** Make the text look normal */
exports.reset = style(0, 22)
/** Make the text brighter than usual */
exports.bright = style(1, 22)
/** Make the text dimmer than usual */
exports.dim = style(2, 22)
/** Make the text italicized */
exports.italic = style(3, 23)
/** Make the text underlined */
exports.underline = style(4, 24)
/** Make the text blink */
exports.blink = style(5, 25)
/** Invert the colors of the text */
exports.inverse = style(7, 27)
/** Make the text white */
exports.white = color(37)
/** Make the text black */
exports.black = color(30)
/** Make the text blue */
exports.blue = color(34)
/** Make the text cyan */
exports.cyan = color(36)
/** Make the text green */
exports.green = color(32)
/** Make the text magenta */
exports.magenta = color(35)
/** Make the text red */
exports.red = color(31)
/** Make the text yellow */
exports.yellow = color(33)
/** Make the text bright black */
exports.brightBlack = color(90)
/** Make the text bright red */
exports.brightRed = color(91)
/** Make the text bright green */
exports.brightGreen = color(92)
/** Make the text bright yellow */
exports.brightYellow = color(93)
/** Make the text bright blue */
exports.brightBlue = color(94)
/** Make the text bright magenta */
exports.brightMagenta = color(95)
/** Make the text bright cyan */
exports.brightCyan = color(96)
/** Make the text bright white */
exports.brightWhite = color(97)
/** Make the text's background black */
exports.bgBlack = backgroundColor(40)
/** Make the text's background red */
exports.bgRed = backgroundColor(41)
/** Make the text's background green */
exports.bgGreen = backgroundColor(42)
/** Make the text's background yellow */
exports.bgYellow = backgroundColor(43)
/** Make the text's background blue */
exports.bgBlue = backgroundColor(44)
/** Make the text's background magenta */
exports.bgMagenta = backgroundColor(45)
/** Make the text's background cyan */
exports.bgCyan = backgroundColor(46)
/** Make the text's background white */
exports.bgWhite = backgroundColor(47)
/** Make the text's background bright black */
exports.bgBrightBlack = backgroundColor(100)
/** Make the text's background bright red */
exports.bgBrightRed = backgroundColor(101)
/** Make the text's background bright green */
exports.bgBrightGreen = backgroundColor(102)
/** Make the text's background bright yellow */
exports.bgBrightYellow = backgroundColor(103)
/** Make the text's background bright blue */
exports.bgBrightBlue = backgroundColor(104)
/** Make the text's background bright magenta */
exports.bgBrightMagenta = backgroundColor(105)
/** Make the text's background bright cyan */
exports.bgBrightCyan = backgroundColor(106)
/** Make the text's background bright white */
exports.bgBrightWhite = backgroundColor(107)
